Page MenuHomeFreeBSD

lang/crystal: fix broken base SSL usage
ClosedPublic

Authored by dch on Aug 6 2021, 2:54 PM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 40926
Build 37815: arc lint + arc unit

Event Timeline

dch requested review of this revision.Aug 6 2021, 2:54 PM

If this is made into an extra-patch conditional on ${SSL_DEFAULT} == base, this could be applied until there's an upstream solution, I guess

  • move hardcoded patches into EXTRA_PATCHES
  • apply only when base ssl is required
  • do substitution as required for various FreeBSD releases
  • 14/CURRENT could conceivably change, but not clear what value to pick
  • hard code LIBRESSL version as its not present in base

If we're applying an extra-patch and then doing a REINPLACE_CMD, maybe we could just do a REINPLACE_CMD directly just against the 0.0.0 and the ldflags?

Also, you MUST NOT support ${OSVERSION} < 1200000! There's a clue as to why in the BOOTSTRAP_PATH variable ;)

Use OSREL:R for clarity, we don't require a specific kernel version, as
we don't require a specific kernel, just track FreeBSD version.

dch retitled this revision from lang/crystal: thought experiment on handling base SSL to lang/crystal: fix broken base SSL usage.Aug 9 2021, 11:24 AM
dch edited the test plan for this revision. (Show Details)
dch added a reviewer: greg_unrelenting.technology.

If we're applying an extra-patch and then doing a REINPLACE_CMD, maybe we could just do a REINPLACE_CMD directly just against the 0.0.0 and the ldflags?

Yes I tried this earlier and in the end, a multi-line sed match just becomes unwieldy and messy.
These files are unlikely to be altered much, until we or upstream find a suitable permanent solution.

Also, you MUST NOT support ${OSVERSION} < 1200000! There's a clue as to why in the BOOTSTRAP_PATH variable ;)

fixed, thanks!

Patches work fine with the current version, just fix the distversion/portrevision conflict when rebasing

This revision is now accepted and ready to land.Feb 25 2022, 12:24 PM
This revision was automatically updated to reflect the committed changes.